### Method

# Gdk Displayget_monitor_at_surface

#### Declaration [src]

    GdkMonitor*
    gdk_display_get_monitor_at_surface (
      GdkDisplay* display,
      GdkSurface* surface
    )

#### Description [src]

Gets the monitor in which the largest area of `surface` resides.

#### Parameters

`surface`

  Type: `GdkSurface`

  A `GdkSurface`

  The data is owned by the caller of the method.

#### Return value

Type: `GdkMonitor`

The monitor with the largest overlap with `surface`.

The data is owned by the instance.
The return value can be `NULL`.